

#include "dataio.h"
#include "global.h"
#include "pstring.h"

#include "vissim.h"


/* ***************************************************************************
  This method reads in the semantic code correlation table for platforms
*************************************************************************** */
int platform_manager::read_data(char *filename) {

   FILE *infile;
   char token[256];
      
   dest();
      
   if (!find_file(filename, "r", NULL, PLATFORM_SLASH, NULL, &infile))
      return 0;
      
   while (get_token(infile, token))
      insert(new correlate(infile, token), NULL);

   fclose(infile);
   return 1;
}


